// 打包服务
var path = require('path')
var fs = require('fs')
var archiver = require('archiver')

function acpackage(workSpace,output, callback) {
    fs.access(path.join(workSpace, 'dist'), fs.constants.F_OK, function (err) {
        if (err) {
            return callback("请先运行编译并导出web工程")
        }
        doPackage(path.join(workSpace, 'dist'), output, callback)
    })
    
}

function doPackage (ppath, output, callback) {
    var archive = archiver('zip', {});
    var output1 = fs.createWriteStream(path.join(output, 'dist.zip'));
    archive.pipe(output1);
    archive.directory(ppath, 'dist');
    archive.finalize();
    callback(null, null)
}
module.exports = acpackage