// 创建工程示例
var path = require('path')
var textfile = require('textfile')

var demo = {
    create(workSpace, callback) {
        var copy = require('copy')
        var has = require('../has')
        has(workSpace, res => {
            if(res) {
                if(typeof callback === 'function') {
                    callback('Project exists')
                }
                return
            }
            var basePath = path.join(__dirname, 'appcanui-demo')
            copy(path.join(basePath, '**/*.*'), workSpace, (err, files) => {
                // 单独处理.gitignore文件（原.gitignore发布后会替换为.npmignore）
                if(!err) {
                    textfile.read(path.join(basePath, '.gitignore'), 'string')
                        .then(str => {
                            if(!str) {
                                return textfile.read(path.join(basePath, '.npmignore'), 'string')
                            } else {
                                return str
                            }
                        })
                        .then(str => {
                            if(str) {
                                return textfile.write(path.join(workSpace, '.gitignore'), str, 'string')
                            }
                        })
                }
                if(typeof callback === 'function') {
                    callback(err)
                }
            })

            copy(path.join(basePath, '**/.*'), workSpace, (err, files) => {
        
            })
        })
    }
}
module.exports = demo.create