// 创建页面
var textfile = require('textfile')
var path = require('path')
var fs = require('fs')
var page = {
    create(workSpace, pageDirname, pageName, title, callback) {
        var pagePath = path.join(pageDirname)
        function cb(...other) {
            if(typeof callback === 'function') {
                callback(...other)
            }
        }
        function write() {
            var files = {}
            var cbNum = 0
            var cbMax = 2
            function end(key, val) {
                cbNum++
                files[key] = val
                // if(cbNum === cbMax) {
                //     cb(null, files)
                // }
                textfile.read(path.join(workSpace, 'src', 'main.js'), 'string')
                    .then(str => {
                        if (str) {
                            str = str.replace(/([\n]{1,})let/, `\nimport ${pageName} from '${path.join(pagePath.replace(/.*?src/, '@'), pageName + '.vue').replace(/\\/g,'/')}'$1let`)
                            str = str.replace(/routes(.*)/, `$&\n    {\n      path: '\/${pageName}',\n      name: '${pageName}',\n      component: ${pageName}\n    },`)
                            textfile.write(path.join(workSpace, 'src', 'main.js'), str, 'string', (err, filePath) => {
                                if(err) {
                                    cb(err)
                                } else {
                                    cb(null, files)
                                }
                            })
                        } else {
                            cb(null, files)
                        }
                    })
            }
            // 创建vue文件
            var pageUiPath = path.join(pagePath, pageName + '.vue')
            fs.access(pageUiPath, err => {
                if(err) {
                    textfile.read(path.join(__dirname, 'template.vue'), 'string', str => {
                        str = str.replace('template', title)
                        str = str.replace('文件标题', title)
                        textfile.write(pageUiPath, str, 'string', (err, filePath) => {
                            if(err) {
                                cb(err)
                            } else {
                                end('ui', filePath)
                            }
                        })
                    })
                } else {
                    end('ui', pageUiPath)
                }
            })
        }
      write()
    }
}
module.exports = page.create